#include <QApplication>
#include "ioscamera.h"
#include "sender.h"
#include <QQmlApplicationEngine>

int main(int argc, char *argv[])
{
    QApplication app(argc, argv);
    // registrace IOS Kamery
    qmlRegisterType<IOSCamera>("IOSCamera", 1, 0, "IOSCamera");
    // registrace Senderu
    qmlRegisterType<Sender>("Sender", 1, 0, "Sender");
    QQmlApplicationEngine engine;
    // nastartování aplikace
    engine.load(QUrl(QStringLiteral("qrc:/main.qml")));

    return app.exec();
}
