#ifndef BOUNDINGBOX
#define BOUNDINGBOX
#include <opencv2/opencv.hpp>
#include <opencv2/imgproc/imgproc.hpp>
#include <opencv2/imgproc/types_c.h>

struct Coordinates {
    float x;
    float y;
};

struct BoundingBox{
    Coordinates topLeft;
    Coordinates topRight;
    Coordinates bottomLeft;
    Coordinates bottomRight;
    cv::Mat result;

};
#endif // BOUNDINGBOX
