QT  += core

QT  += network

TARGET = MyFirstWebApp

CONFIG   += console

TEMPLATE = app

QMAKE_MAC_SDK = macosx10.12
#QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.11

SOURCES += src/main.cpp \
    src/helloworldcontroller.cpp \
    src/requestmapper.cpp \
    src/imagecontroller.cpp \
    src/imageprocessor.cpp \
    src/featureprocessing.cpp

HEADERS += \
    src/helloworldcontroller.h \
    src/requestmapper.h \
    src/imagecontroller.h \
    src/imageprocessor.h \
    src/featureprocessing.h \
    src/boundingbox.h

INCLUDEPATH += /usr/local/include \

LIBS += -L/usr/local/lib \
    -lopencv_core \
    -lopencv_imgproc \
    -lopencv_features2d \
    -lopencv_highgui \
    -lopencv_calib3d \
    -lopencv_flann \
    -lopencv_gpu \
    -lopencv_legacy \
    -lopencv_ml \
    -lopencv_nonfree \
    -lopencv_objdetect \
    -lopencv_ocl \
    -lopencv_photo \
    -lopencv_stitching \
    -lopencv_superres \
    -lopencv_video \
    -lopencv_videostab \
    -lopencv_contrib \

OTHER_FILES += /Users/tomasisa/Desktop/TestServer/MyFirstWebApp/etc/webapp1.ini

include(../QtWebApp/httpserver/httpserver.pri)
